// Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Symbian Foundation License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.symbianfoundation.org/legal/sfl-v10.html".
//
// Initial Contributors:
// Nokia Corporation - initial contribution.
//
// Contributors:
//
// Description:
//

/**
 @file
 @internalComponent
*/


enum TFastExecDispatch
	{
	EFastExecWaitForAnyRequest = 0,
	EFastExecHeap = 1,
	EFastExecHeapSwitch = 2,
	EFastExecPushTrapFrame = 3,
	EFastExecPopTrapFrame = 4,
	EFastExecActiveScheduler = 5,
	EFastExecSetActiveScheduler = 6,
	EFastExecLockPeriod = 7,
	EFastExecTrapHandler = 8,
	EFastExecSetTrapHandler = 9,
	EFastExecLockedInc = 10,
	EFastExecLockedDec = 11,
	EFastExecDebugMask = 12,
	EFastExecDebugMaskIndex = 13,
	EFastExecSetDebugMask = 14,
	EFastExecFastCounter = 15,
	EFastExecNTickCount = 16,
	EFastExecLockRamDrive = 17,
	EFastExecUnlockRamDrive = 18,
	EFastExecRomHeaderAddress = 19,
	EFastExecRomRootDirectoryAddress = 20,
	EFastExecSafeInc = 21,
	EFastExecSafeDec = 22,
	EFastExecSetReentryPoint = 23,
	EFastExecKernelConfigFlags = 24,
	EFastExecUTCOffset = 25,
	EFastExecGetGlobalUserData = 26,
	EFastExecCheckFilter = 27,
	};

enum TExecDispatch
	{
	EExecObjectNext = 0,
	EExecChunkBase = 1,
	EExecChunkSize = 2,
	EExecChunkMaxSize = 3,
	EExecHandleAttributes = 4,
	EExecTickCount = 5,
	EExecLogicalDeviceGetCaps = 6,
	EExecLogicalDeviceQueryVersionSupported = 7,
	EExecLogicalDeviceIsAvailable = 8,
	EExecLocaleExports = 9,
	EExecChannelRequest = 10,
	EExecMathRandom = 11,
	EExecIMBRange = 12,
	EExecResetMachine = 13,
	EExecLibraryLookup = 14,
	EExecLibraryFileName = 15,
	EExecExecuteInSupervisorMode = 16,
	EExecMutexWait = 17,
	EExecMutexSignal = 18,
	EExecProcessId = 19,
	EExecDllFileName = 20,
	EExecProcessResume = 21,
	EExecProcessFileName = 22,
	EExecProcessCommandLine = 23,
	EExecProcessExitType = 24,
	EExecProcessExitReason = 25,
	EExecProcessExitCategory = 26,
	EExecProcessPriority = 27,
	EExecProcessSetPriority = 28,
	EExecProcessFlags = 29,
	EExecProcessSetFlags = 30,
	EExecSemaphoreWait = 31,
	EExecSemaphoreSignal1 = 32,
	EExecSemaphoreSignalN = 33,
	EExecServerReceive = 34,
	EExecServerCancel = 35,
	EExecSetSessionPtr = 36,
	EExecSessionSend = 37,
	EExecThreadId = 38,
	EExecSessionShare = 39,
	EExecThreadResume = 40,
	EExecThreadSuspend = 41,
	EExecThreadPriority = 42,
	EExecThreadSetPriority = 43,
	EExecThreadProcessPriority = 44,
	EExecThreadSetProcessPriority = 45,
	EExecThreadFlags = 46,
	EExecThreadSetFlags = 47,
	EExecThreadRequestCount = 48,
	EExecThreadExitType = 49,
	EExecThreadExitReason = 50,
	EExecThreadExitCategory = 51,
	EExecTimerCancel = 52,
	EExecTimerAfter = 53,
	EExecTimerAt = 54,
	EExecTimerLock = 55,
	EExecChangeNotifierLogon = 56,
	EExecChangeNotifierLogoff = 57,
	EExecRequestSignal = 58,
	EExecHandleName = 59,
	EExecHandleFullName = 60,
	EExecHandleInfo = 61,
	EExecHandleCount = 62,
	EExecAfter = 63,
	EExecAt = 64,
	EExecMessageComplete = 65,
	EExecMessageCompleteWithHandle = 66,
	EExecTimeNow = 67,
	EExecTimeNowSecure = 68,
	EExecSetUTCTimeAndOffset = 69,
	EExecSetMachineConfiguration = 70,
	EExecCaptureEventHook = 71,
	EExecReleaseEventHook = 72,
	EExecRequestEvent = 73,
	EExecRequestEventCancel = 74,
	EExecAddEvent = 75,
	EExecSessionSendSync = 76,
	EExecDllTls = 77,
	EExecHalFunction = 78,
	EExecWsRegisterThread = 79,
	EExecFsRegisterThread = 80,
	EExecProcessCommandLineLength = 81,
	EExecTimerInactivity = 82,
	EExecUserInactivityTime = 83,
	EExecResetInactivityTime = 84,
	EExecDebugPrint = 85,
	EExecBreakPoint = 86,
	EExecProfileStart = 87,
	EExecProfileEnd = 88,
	EExecExceptionHandler = 89,
	EExecSetExceptionHandler = 90,
	EExecModifyExceptionMask = 91,
	EExecRaiseException = 92,
	EExecIsExceptionHandled = 93,
	EExecProcessGetMemoryInfo = 94,
	EExecLibraryGetMemoryInfo = 95,
	EExecMachineConfiguration = 96,
	EExecSetMemoryThresholds = 97,
	EExecLibraryType = 98,
	EExecProcessType = 99,
	EExecChunkBottom = 100,
	EExecChunkTop = 101,
	EExecThreadContext = 102,
	EExecThreadCreate = 103,
	EExecFindHandleOpen = 104,
	EExecHandleClose = 105,
	EExecChunkCreate = 106,
	EExecChunkAdjust = 107,
	EExecOpenObject = 108,
	EExecHandleDuplicate = 109,
	EExecMutexCreate = 110,
	EExecSemaphoreCreate = 111,
	EExecThreadOpenById = 112,
	EExecProcessOpenById = 113,
	EExecThreadKill = 114,
	EExecThreadLogon = 115,
	EExecThreadLogonCancel = 116,
	EExecDllSetTls = 117,
	EExecDllFreeTls = 118,
	EExecThreadRename = 119,
	EExecProcessRename = 120,
	EExecProcessKill = 121,
	EExecProcessLogon = 122,
	EExecProcessLogonCancel = 123,
	EExecThreadProcess = 124,
	EExecServerCreate = 125,
	EExecSessionCreate = 126,
	EExecSessionCreateFromHandle = 127,
	EExecDeviceLoad = 128,
	EExecDeviceFree = 129,
	EExecChannelCreate = 130,
	EExecTimerCreate = 131,
	EExecTimerHighRes = 132,
	EExecAfterHighRes = 133,
	EExecChangeNotifierCreate = 134,
	EExecUndertakerCreate = 135,
	EExecUndertakerLogon = 136,
	EExecUndertakerLogonCancel = 137,
	EExecKernelHeapDebug = 138,
	EExecThreadGetCpuTime = 139,
	EExecCodeSegCreate = 140,
	EExecCodeSegLoaded = 141,
	EExecLibraryCreate = 142,
	EExecCodeSegOpen = 143,
	EExecCodeSegClose = 144,
	EExecCodeSegNext = 145,
	EExecCodeSegInfo = 146,
	EExecCodeSegAddDependency = 147,
	EExecCodeSegDeferDeletes = 148,
	EExecCodeSegEndDeferDeletes = 149,
	EExecProcessCreate = 150,
	EExecProcessLoaded = 151,
	EExecCheckLoaderClientState = 152,
	EExecThreadProcessCodeSeg = 153,
	EExecCodeSegReadExportDir = 154,
	EExecWaitDllLock = 155,
	EExecReleaseDllLock = 156,
	EExecLibraryAttach = 157,
	EExecLibraryAttached = 158,
	EExecStaticCallList = 159,
	EExecLibraryDetach = 160,
	EExecLibraryDetached = 161,
	EExecLastThreadHandle = 162,
	EExecThreadRendezvous = 163,
	EExecProcessRendezvous = 164,
	EExecMessageGetDesLength = 165,
	EExecMessageGetDesMaxLength = 166,
	EExecMessageIpcCopy = 167,
	EExecMessageClient = 168,
	EExecMessageSetProcessPriority = 169,
	EExecMessageConstructFromPtr = 170,
	EExecMessageKill = 171,
	EExecMessageOpenObject = 172,
	EExecProcessSecurityInfo = 173,
	EExecThreadSecurityInfo = 174,
	EExecMessageSecurityInfo = 175,
	EExecCreatorSecurityInfo = 176,
	EExecDisabledCapabilities = 177,
	EExecChunkSetRestrictions = 178,
	EExecMsgQueueCreate = 179,
	EExecMsgQueueSend = 180,
	EExecMsgQueueReceive = 181,
	EExecMsgQueueNotifySpaceAvailable = 182,
	EExecMsgQueueCancelSpaceAvailable = 183,
	EExecMsgQueueNotifyDataAvailable = 184,
	EExecMsgQueueCancelDataAvailable = 185,
	EExecMsgQueueSize = 186,
	EExecPropertyDefine = 187,
	EExecPropertyDelete = 188,
	EExecPropertyAttach = 189,
	EExecPropertySubscribe = 190,
	EExecPropertyCancel = 191,
	EExecPropertyGetI = 192,
	EExecPropertyGetB = 193,
	EExecPropertySetI = 194,
	EExecPropertySetB = 195,
	EExecPropertyFindGetI = 196,
	EExecPropertyFindGetB = 197,
	EExecPropertyFindSetI = 198,
	EExecPropertyFindSetB = 199,
	EExecPowerEnableWakeupEvents = 200,
	EExecPowerDisableWakeupEvents = 201,
	EExecPowerRequestWakeupEventNotification = 202,
	EExecPowerCancelWakeupEventNotification = 203,
	EExecPowerDown = 204,
	EExecProcessSetHandleParameter = 205,
	EExecProcessSetDataParameter = 206,
	EExecProcessGetHandleParameter = 207,
	EExecProcessGetDataParameter = 208,
	EExecProcessDataParameterLength = 209,
	EExecMessageClientProcessFlags = 210,
	EExecThreadStackInfo = 211,
	EExecThreadGetHeap = 212,
	EExecThreadAsProcess = 213,
	EExecCondVarCreate = 214,
	EExecCondVarWait = 215,
	EExecCondVarSignal = 216,
	EExecCondVarBroadcast = 217,
	EExecPlatSecDiagnostic = 218,
	EExecExceptionDescriptor = 219,
	EExecThreadRequestSignal = 220,
	EExecMutexIsHeld = 221,
	EExecLeaveStart = 222,
	EExecLeaveEnd = 223,
	EExecSetDebugMaskIndex = 224,
	EExecGetModuleNameFromAddress = 225,
	EExecNotifyChanges = 226,
	EExecSetGlobalUserData = 227,
	EExecSessionSecurityInfo = 228,
	EExecMessageClientStatus = 229,
	EExecSetFloatingPointMode = 230,
	EExecBTraceOut = 231,
	EExecBTraceOutBig = 232,
	EExecCheckFilter2 = 233,
	EExecProcessExeExportData = 234,
	EExecNotifyIfCodeSegDestroyed = 235,
	EExecGetDestroyedCodeSegInfo = 236,
	EExecSetWin32RuntimeHook = 237,
	EExecGetBTraceId = 238,
	EExecNotifyOnIdle = 239,
	EExecCancelMiscNotifier = 240,
	EExecNotifyObjectDestruction = 241,
	EExecRegisterTrustedChunk = 242,
	EExecUserThreadExiting = 243,
	EExecKernMsgTest = 244,
	EExecGetLatencyValues = 245,
	EExecCalcKernelHeapUsed = 246,
	};
